public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/pms-test-suite-overlay:master commit in: eclass/
@ 2011-05-15 17:29 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2011-05-15 17:29 UTC (permalink / raw
  To: gentoo-commits

commit:     502d8a0ed68acb209d88a608b86963b1e19003ac
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 15 17:29:31 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 15 17:29:31 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/pms-test-suite-overlay.git;a=commit;h=502d8a0e

Use dbus to report output to the runner.

---
 eclass/pms-test.eclass |   25 ++++++++++++-------------
 1 files changed, 12 insertions(+), 13 deletions(-)

diff --git a/eclass/pms-test.eclass b/eclass/pms-test.eclass
index 27f5b1c..a715cf5 100644
--- a/eclass/pms-test.eclass
+++ b/eclass/pms-test.eclass
@@ -11,23 +11,22 @@ SLOT=${EAPI-0}
 KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
 IUSE=""
 
+DEPEND="sys-apps/dbus"
+
 EXPORT_FUNCTIONS pkg_setup
 
 pms-test_pkg_setup() {
-	[[ -n ${PMS_TEST_OUTPUT_DIR} ]] || die '${PMS_TEST_OUTPUT_DIR} unset!'
-
-	# XXX: handle userpriv better
-
-	addwrite "${PMS_TEST_OUTPUT_DIR}"
-	if [[ ! -d ${PMS_TEST_OUTPUT_DIR} ]]; then
-		mkdir -p "${PMS_TEST_OUTPUT_DIR}" || die
-		chmod +x "${PMS_TEST_OUTPUT_DIR}" || die
-	fi
-
-	echo -n > "${PMS_TEST_OUTPUT_DIR}"/${P} || die
-	chmod a+w "${PMS_TEST_OUTPUT_DIR}"/${P} || die
+	:
 }
 
 pms-test_append_result() {
-	echo "${@}" >> "${PMS_TEST_OUTPUT_DIR}"/${P}
+	dbus-send \
+		--system \
+		--type=method_call \
+		--dest=org.gentoo.PMSTestSuite \
+		/org/gentoo/PMSTestSuite \
+		org.gentoo.PMSTestSuite.append_output \
+		string:${P} \
+		string:"${*}" \
+		|| die 'Failed to append the test result using dbus'
 }



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/pms-test-suite-overlay:master commit in: eclass/
@ 2011-05-15 20:48 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2011-05-15 20:48 UTC (permalink / raw
  To: gentoo-commits

commit:     89aaf4d9fcdc71c74283fc9ea1943b97c3deb379
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 15 20:48:13 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 15 20:48:13 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/pms-test-suite-overlay.git;a=commit;h=89aaf4d9

Pass --print-reply to dbus-send to catch errors.

---
 eclass/pms-test.eclass |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/eclass/pms-test.eclass b/eclass/pms-test.eclass
index a715cf5..b9cca9f 100644
--- a/eclass/pms-test.eclass
+++ b/eclass/pms-test.eclass
@@ -22,6 +22,7 @@ pms-test_pkg_setup() {
 pms-test_append_result() {
 	dbus-send \
 		--system \
+		--print-reply \
 		--type=method_call \
 		--dest=org.gentoo.PMSTestSuite \
 		/org/gentoo/PMSTestSuite \



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/pms-test-suite-overlay:master commit in: eclass/
@ 2011-05-19 17:34 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2011-05-19 17:34 UTC (permalink / raw
  To: gentoo-commits

commit:     eb00e82b7c416861adaf00eb6aa5645db8a7baa4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 19 17:34:35 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 19 17:34:35 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/pms-test-suite-overlay.git;a=commit;h=eb00e82b

Update the HOMEPAGE.

---
 eclass/pms-test.eclass |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

diff --git a/eclass/pms-test.eclass b/eclass/pms-test.eclass
index b9cca9f..9ac3f65 100644
--- a/eclass/pms-test.eclass
+++ b/eclass/pms-test.eclass
@@ -2,8 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-# XXX: project page
-HOMEPAGE="http://www.gentoo.org"
+HOMEPAGE="http://www.gentoo.org/proj/en/qa/pms/pms-test-suite.xml"
 SRC_URI=""
 
 LICENSE="as-is"



^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2011-05-19 17:34 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-05-19 17:34 [gentoo-commits] proj/pms-test-suite-overlay:master commit in: eclass/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2011-05-15 20:48 Michał Górny
2011-05-15 17:29 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox